### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-multiselect/ecl-select-option.directive.ts`

### Implements

`OnDestroy` `OnChanges`

### Metadata

Selector | `option[eclSelectOption]`

### Index

###### Properties
changes
###### Methods
getHostElement
###### Inputs
isDisabled isSelected label styleClass value

### Constructor

`constructor(elRef: ElementRef)`
Parameters :
Name | Type | Optional
elRef | `ElementRef` | No

### Inputs

isDisabled
Type : `boolean`
Default value : `false`

isSelected
Type : `boolean`
Default value : `false`

label
Type : `string`

styleClass
Type : `string`

value
Type : `string`

### Methods

getHostElement
`getHostElement()`
Returns : `HTMLSelectElement`

### Properties

changes
Default value : `new Subject()`

# result-matching ""

# No results matching ""